Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000974bareos-core[All Projects] webuipublic2018-06-28 13:182018-10-11 15:59
ReporterSimon 
Assigned Toaron_s 
PrioritylowSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version18.04
Product Version18.2.3 
Target VersionFixed in Version 
Summary0000974: Submitting job jumps to invalid site
Descriptionhttp://localhost/bareos-webui/job/run/ [^] jumps to invalid site ("http://localhost/bareos-webui/job/details/1%0AYou%20have%20messages." [^]) after submitting new job

First job on fresh installation
Steps To ReproduceRun a job via http://localhost/bareos-webui/job/run/ [^] and submit it.
Instead of redirecting to ""http://localhost/bareos-webui/job/details/1", [^] it redirects to "http://localhost/bareos-webui/job/details/1%0AYou%20have%20messages." [^]
TagsNo tags attached.
bareos-master: impactno
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impactno
bareos-17.2: actionnone
bareos-16.2: impactno
bareos-16.2: actionnone
bareos-15.2: impactno
bareos-15.2: actionnone
bareos-14.2: impactno
bareos-14.2: actionnone
bareos-13.2: impactno
bareos-13.2: actionnone
bareos-12.4: impactno
bareos-12.4: actionnone
Attached Files

- Relationships

-  Notes
(0003085)
aron_s (developer)
2018-07-30 14:34

Thank you for the feedback.
This issue is resolved with following pull request:
https://github.com/bareos/bareos/pull/102 [^]
(0003136)
aron_s (developer)
2018-10-09 17:13

Fix committed to bareos master branch with changesetid 10077.
(0003139)
franku (developer)
2018-10-11 15:59

Fix committed to bareos bareos-18.2 branch with changesetid 10135.

- Related Changesets
bareos: master 441eb7df
Timestamp: 2018-07-30 14:19:33
Author: aron_s
Ported: N/A
Details ] Diff ]
webui: fix invalid url generated in first job

Fixes 0000974: Submitting job jumps to invalid site
mod - webui/module/Job/src/Job/Controller/JobController.php Diff ] File ]
bareos: bareos-18.2 f665aeae
Timestamp: 2018-07-30 14:19:33
Author: aron_s
Committer: franku
Ported: N/A
Details ] Diff ]
webui: fix invalid url generated in first job

Fixes 0000974: Submitting job jumps to invalid site
mod - webui/module/Job/src/Job/Controller/JobController.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-06-28 13:18 Simon New Issue
2018-07-30 14:34 aron_s Note Added: 0003085
2018-07-30 14:34 aron_s Assigned To => aron_s
2018-07-30 14:34 aron_s Status new => assigned
2018-07-30 14:35 aron_s Status assigned => confirmed
2018-07-30 14:36 aron_s bareos-master: impact => no
2018-07-30 14:36 aron_s bareos-master: action => fixed
2018-07-30 14:36 aron_s bareos-17.2: impact => no
2018-07-30 14:36 aron_s bareos-17.2: action => none
2018-07-30 14:36 aron_s bareos-16.2: impact => no
2018-07-30 14:36 aron_s bareos-16.2: action => none
2018-07-30 14:36 aron_s bareos-15.2: impact => no
2018-07-30 14:36 aron_s bareos-15.2: action => none
2018-07-30 14:36 aron_s bareos-14.2: impact => no
2018-07-30 14:36 aron_s bareos-14.2: action => none
2018-07-30 14:36 aron_s bareos-13.2: impact => no
2018-07-30 14:36 aron_s bareos-13.2: action => none
2018-07-30 14:36 aron_s bareos-12.4: impact => no
2018-07-30 14:36 aron_s bareos-12.4: action => none
2018-07-30 14:36 aron_s Status confirmed => resolved
2018-07-30 14:36 aron_s Resolution open => fixed
2018-10-09 17:13 aron_s Changeset attached => bareos master 441eb7df
2018-10-09 17:13 aron_s Note Added: 0003136
2018-10-11 15:59 franku Changeset attached => bareos bareos-18.2 f665aeae
2018-10-11 15:59 franku Note Added: 0003139


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker